(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["default~account-account-module~history-history-module~outstanding-outstanding-module~preliminary-cus~8f555615"],{

/***/ "./src/app/notes/note-detail/note-detail.service.ts":
/*!**********************************************************!*\
  !*** ./src/app/notes/note-detail/note-detail.service.ts ***!
  \**********************************************************/
/*! exports provided: NoteDetailService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NoteDetailService", function() { return NoteDetailService; });
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/common/http */ "./node_modules/@angular/common/__ivy_ngcc__/fesm2015/http.js");
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ "./node_modules/rxjs/_esm2015/index.js");
/* harmony import */ var rxjs_operators__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs/operators */ "./node_modules/rxjs/_esm2015/operators/index.js");
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../auth/auth.service */ "./src/app/auth/auth.service.ts");
/* harmony import */ var _note_model__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../note.model */ "./src/app/notes/note.model.ts");









class NoteDetailService {
    constructor(authService, http) {
        this.authService = authService;
        this.http = http;
        // tslint:disable-next-line: variable-name
        this._noteObject = new rxjs__WEBPACK_IMPORTED_MODULE_2__["BehaviorSubject"](null);
    }
    parseData(resData) {
        if (resData.data.note) {
            const note = resData.data.note;
            const noteObject = new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteObject"](note.number ? note.number : '', new _note_model__WEBPACK_IMPORTED_MODULE_5__["TermName"](note.name.singular, note.name.plural), new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteContact"](false, note.contactName, note.contactEmail, false), new Date(), note.dateTimeString, new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteType"](note.type.id, note.type.name.singular, note.type.description), note.subject, note.result, note.text, new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteStatus"](note.noteStatus ? note.noteStatus.id : undefined, note.noteStatus ? note.noteStatus.name.singular : undefined, note.noteStatus ? note.noteStatus.description : ''), new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteEmployee"](note.owner ? note.owner.id : undefined, note.owner ? note.owner.name : undefined, note.owner ? note.owner.email : undefined, false), new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteEmployee"](note.receiver ? note.receiver.id : undefined, note.receiver ? note.receiver.name : undefined, note.receiver ? note.receiver.email : undefined, false), note.pristine ? !note.pristine : true, note.ended, new Date(), note.endedDateTimeString, note.completed, new Date(), note.completedDateTimeString, new _note_model__WEBPACK_IMPORTED_MODULE_5__["NoteMailText"](note.emailTextId, ''), Object(_note_model__WEBPACK_IMPORTED_MODULE_5__["itemGlyph"])(note.type.imageId), resData.data.header);
            noteObject.setNoteDates(note.dateTime, note.endedDateTime, note.completedDateTime);
            return noteObject;
        }
        else {
            return null;
        }
    }
    fetchNote(id) {
        return this.authService.user
            .pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(user => {
            if (!user) {
                return;
            }
            return this.http.get(user.url('note', [String(id)], []));
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(resData => {
            // API-error ?
            if (resData.error) {
                return this.authService.handleErrorAPI(resData.error);
            }
            // Data ?
            return this.parseData(resData);
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(noteObject => {
            if (noteObject) {
                this._noteObject.next(noteObject);
            }
        }));
    }
    updateNote(noteObject) {
        return this.authService.user
            .pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["switchMap"])(user => {
            if (!user) {
                return;
            }
            let postData = {
                "data": {
                    "note": {
                        "number": noteObject.id,
                        "dateTime": user.dateTimeString(noteObject.noteDateTime),
                        "type": {
                            "id": noteObject.noteType.id
                        },
                        "noteStatus": {
                            "id": noteObject.status.id
                        },
                        "receiver": {
                            "id": noteObject.receiver.id
                        },
                        "owner": {
                            "id": noteObject.owner.id
                        },
                        "subject": noteObject.subject,
                        "newContact": noteObject.contact.newContact,
                        "contactName": noteObject.contact.name,
                        "contactRelationNumber": user.relation,
                        "contactEmail": noteObject.contact.email,
                        "result": noteObject.outcome,
                        "pristine": !noteObject.read,
                        "ended": noteObject.ended,
                        "endedDateTime": user.dateTimeString(noteObject.endDateTime),
                        "completed": noteObject.completed,
                        "completedDateTime": user.dateTimeString(noteObject.completeDateTime),
                        "text": noteObject.text,
                        "emailTextId": noteObject.mailText.id,
                        "relation": {
                            "number": user.relation
                        },
                        "address": {
                            "number": user.relation,
                            "id": 1,
                            "index": 1
                        },
                        "sendEmail": noteObject.emailTo()
                    }
                }
            };
            return this.http.post(user.url('note', [noteObject.id], []), postData);
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["map"])(resData => {
            // API-error ?
            if (resData.error) {
                return this.authService.handleErrorAPI(resData.error);
            }
            // Data ? 
            return this.parseData(resData);
        }), Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["tap"])(noteObject => {
            if (noteObject) {
                this._noteObject.next(noteObject);
            }
        }));
    }
}
NoteDetailService.ɵfac = function NoteDetailService_Factory(t) { return new (t || NoteDetailService)(_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵinject"](_angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"])); };
NoteDetailService.ɵprov = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefineInjectable"]({ token: NoteDetailService, factory: NoteDetailService.ɵfac, providedIn: 'root' });
/*@__PURE__*/ (function () { _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵsetClassMetadata"](NoteDetailService, [{
        type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["Injectable"],
        args: [{
                providedIn: 'root'
            }]
    }], function () { return [{ type: _auth_auth_service__WEBPACK_IMPORTED_MODULE_4__["AuthService"] }, { type: _angular_common_http__WEBPACK_IMPORTED_MODULE_1__["HttpClient"] }]; }, null); })();


/***/ }),

/***/ "./src/app/popover/popover.component.ts":
/*!**********************************************!*\
  !*** ./src/app/popover/popover.component.ts ***!
  \**********************************************/
/*! exports provided: PopoverComponent */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PopoverComponent", function() { return PopoverComponent; });
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/__ivy_ngcc__/fesm2015/router.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/__ivy_ngcc__/fesm2015/ionic-angular.js");
/* harmony import */ var rxjs_operators__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! rxjs/operators */ "./node_modules/rxjs/_esm2015/operators/index.js");
/* harmony import */ var _shared_constants__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../shared/constants */ "./src/app/shared/constants.ts");
/* harmony import */ var _auth_auth_service__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../auth/auth.service */ "./src/app/auth/auth.service.ts");
/* harmony import */ var _notes_note_detail_note_detail_service__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../notes/note-detail/note-detail.service */ "./src/app/notes/note-detail/note-detail.service.ts");
/* harmony import */ var _notes_note_edit_note_edit_component__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../notes/note-edit/note-edit.component */ "./src/app/notes/note-edit/note-edit.component.ts");
/* harmony import */ var _quotation_requests_quotation_request_detail_quotation_request_detail_service__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../quotation-requests/quotation-request-detail/quotation-request-detail.service */ "./src/app/quotation-requests/quotation-request-detail/quotation-request-detail.service.ts");
/* harmony import */ var _quotation_requests_quotation_request_edit_quotation_request_edit_component__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../quotation-requests/quotation-request-edit/quotation-request-edit.component */ "./src/app/quotation-requests/quotation-request-edit/quotation-request-edit.component.ts");
/* harmony import */ var _preliminary_customer_orders_preliminary_customer_order_detail_preliminary_customer_order_detail_service__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../preliminary-customer-orders/preliminary-customer-order-detail/preliminary-customer-order-detail.service */ "./src/app/preliminary-customer-orders/preliminary-customer-order-detail/preliminary-customer-order-detail.service.ts");
/* harmony import */ var _preliminary_customer_orders_preliminary_customer_order_edit_preliminary_customer_order_edit_component__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../preliminary-customer-orders/preliminary-customer-order-edit/preliminary-customer-order-edit.component */ "./src/app/preliminary-customer-orders/preliminary-customer-order-edit/preliminary-customer-order-edit.component.ts");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @angular/common */ "./node_modules/@angular/common/__ivy_ngcc__/fesm2015/common.js");




















function PopoverComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    const _r423 = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵgetCurrentView"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementStart"](0, "div");
    _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementStart"](1, "ion-item", 1);
    _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵlistener"]("click", function PopoverComponent_div_1_Template_ion_item_click_1_listener() { _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵrestoreView"](_r423); const popoverItem_r421 = ctx.$implicit; const ctx_r422 = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵnextContext"](); return ctx_r422.onPopoverItemClick(popoverItem_r421.id); });
    _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementStart"](2, "ion-label");
    _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵtext"](3);
    _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementEnd"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementEnd"]();
    _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementEnd"]();
} if (rf & 2) {
    const popoverItem_r421 = ctx.$implicit;
    _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵadvance"](3);
    _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵtextInterpolate1"](" ", popoverItem_r421.name, " ");
} }
class PopoverComponent {
    constructor(popoverCtrl, modalCtrl, router, authService, noteDetailService, quotationRequestDetailService, preliminaryCustomerOrderDetailService) {
        this.popoverCtrl = popoverCtrl;
        this.modalCtrl = modalCtrl;
        this.router = router;
        this.authService = authService;
        this.noteDetailService = noteDetailService;
        this.quotationRequestDetailService = quotationRequestDetailService;
        this.preliminaryCustomerOrderDetailService = preliminaryCustomerOrderDetailService;
    }
    ngOnInit() { }
    newNote() {
        this.noteDetailService.fetchNote('empty').subscribe(noteObject => {
            if (noteObject) {
                this.modalCtrl
                    .create({
                    backdropDismiss: false,
                    component: _notes_note_edit_note_edit_component__WEBPACK_IMPORTED_MODULE_7__["NoteEditComponent"],
                    componentProps: { noteObject: noteObject },
                    cssClass: 'my-custom-modal-css'
                })
                    .then(modalEl => {
                    modalEl.present();
                    return modalEl.onDidDismiss();
                })
                    .then(resultData => {
                    if (resultData.role === 'submit') {
                        resultData.data.noteObject.id = 'empty';
                        this.noteDetailService
                            .updateNote(resultData.data.noteObject)
                            .subscribe(noteObject => {
                            if (noteObject) {
                                this.router.navigate(['/', 'note', noteObject.id]);
                            }
                        }, error => {
                            return this.authService.handleErrorHttp(error);
                        });
                    }
                });
            }
        }, error => {
            return this.authService.handleErrorHttp(error);
        });
    } // newNote
    newQuotationRequest() {
        this.authService.user
            .pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1)) //  pipe
            .subscribe(user => {
            this.quotationRequestDetailService
                .fetchQuotationRequest('empty')
                .subscribe(quotationRequestObject => {
                if (quotationRequestObject) {
                    // Default data for new quotation request:
                    // -- Delivery date
                    quotationRequestObject.deliveryDate = new Date();
                    // -- Employee or contact
                    if (user.type === 'employee') {
                        quotationRequestObject.employee = user.name;
                    }
                    else {
                        quotationRequestObject.contact.name = user.name;
                    } // else
                    // -- Processing status
                    quotationRequestObject.processingStatus.id = _shared_constants__WEBPACK_IMPORTED_MODULE_4__["PAI_KAN_WORDEN_BEWERKT"];
                    // Open modal form for edit:
                    this.modalCtrl
                        .create({
                        backdropDismiss: false,
                        component: _quotation_requests_quotation_request_edit_quotation_request_edit_component__WEBPACK_IMPORTED_MODULE_9__["QuotationRequestEditComponent"],
                        componentProps: {
                            quotationRequestObject: quotationRequestObject,
                            title: 'Nieuwe ' + quotationRequestObject.termSingular.toLowerCase(),
                            prices: user.prices
                        },
                        cssClass: 'my-custom-modal-css'
                    })
                        .then(modalEl => {
                        modalEl.present();
                        return modalEl.onDidDismiss();
                    })
                        .then(resultData => {
                        if (resultData.role === 'submit') {
                            resultData.data.quotationRequestObject.processingStatus.id = resultData.data.quotationRequestObject.processingStatus.final ? _shared_constants__WEBPACK_IMPORTED_MODULE_4__["PAI_BESCHIKBAAR_VOOR_VERWERKING"] : _shared_constants__WEBPACK_IMPORTED_MODULE_4__["PAI_WORDT_BEWERKT"];
                            this.quotationRequestDetailService
                                .updateQuotationRequest('empty', resultData.data.quotationRequestObject)
                                .subscribe(quotationRequestObject => {
                                if (quotationRequestObject) {
                                    // Select detail page for new quotation request:
                                    this.router.navigate(['/', 'quotation-request', quotationRequestObject.id]);
                                } // if
                            }, error => {
                                return this.authService.handleErrorHttp(error);
                            }); // subscribe
                        } // if
                    }); // then
                } // if
            }); // subscribe
        }); // subscribe
    } // newQuotationRequest
    newPreliminaryCustomerOrder() {
        this.authService.user
            .pipe(Object(rxjs_operators__WEBPACK_IMPORTED_MODULE_3__["take"])(1)) //  pipe
            .subscribe(user => {
            this.preliminaryCustomerOrderDetailService
                .fetchPreliminaryCustomerOrder('empty')
                .subscribe(preliminaryCustomerOrderObject => {
                if (preliminaryCustomerOrderObject) {
                    // Default data for new preliminary customer order:
                    // -- Delivery date
                    preliminaryCustomerOrderObject.deliveryDate = new Date();
                    // -- Delivery address 
                    preliminaryCustomerOrderObject.deliveryAddress.active = false;
                    preliminaryCustomerOrderObject.deliveryAddress.owner = 'relation';
                    preliminaryCustomerOrderObject.deliveryAddress.id = 1;
                    // -- Employee or contact
                    if (user.type === 'employee') {
                        preliminaryCustomerOrderObject.employee = user.name;
                    }
                    else {
                        preliminaryCustomerOrderObject.contact.name = user.name;
                    } // else
                    // -- Processing status
                    preliminaryCustomerOrderObject.processingStatus.id = _shared_constants__WEBPACK_IMPORTED_MODULE_4__["WOS_KAN_WORDEN_BEWERKT"];
                    // Open modal form for edit:
                    this.modalCtrl
                        .create({
                        backdropDismiss: false,
                        component: _preliminary_customer_orders_preliminary_customer_order_edit_preliminary_customer_order_edit_component__WEBPACK_IMPORTED_MODULE_11__["PreliminaryCustomerOrderEditComponent"],
                        componentProps: {
                            preliminaryCustomerOrderObject: preliminaryCustomerOrderObject,
                            title: 'Nieuwe ' + preliminaryCustomerOrderObject.termSingular.toLowerCase(),
                            prices: user.prices
                        },
                        cssClass: 'my-custom-modal-css'
                    })
                        .then(modalEl => {
                        modalEl.present();
                        return modalEl.onDidDismiss();
                    })
                        .then(resultData => {
                        if (resultData.role === 'submit') {
                            resultData.data.preliminaryCustomerOrderObject.processingStatus.id = resultData.data.preliminaryCustomerOrderObject.processingStatus.final ? _shared_constants__WEBPACK_IMPORTED_MODULE_4__["WOS_BESCHIKBAAR_VOOR_VERWERKING"] : _shared_constants__WEBPACK_IMPORTED_MODULE_4__["WOS_WORDT_BEWERKT"];
                            this.preliminaryCustomerOrderDetailService
                                .updatePreliminaryCustomerOrder('empty', resultData.data.preliminaryCustomerOrderObject)
                                .subscribe(preliminaryCustomerOrderObject => {
                                if (preliminaryCustomerOrderObject) {
                                    // Select detail page for new preliminary customer order:
                                    this.router.navigate(['/', 'preliminary-customer-order', preliminaryCustomerOrderObject.id]);
                                } // if
                            }, error => {
                                return this.authService.handleErrorHttp(error);
                            }); // subscribe
                        } // if
                    }); // then
                } // if
            }); // subscribe
        }); // subscribe
    } // newPreliminaryCustomerOrder
    onPopoverItemClick(popoverItemId) {
        switch (popoverItemId) {
            case 0: {
                this.newNote();
                break;
            } // 0
            case 1: {
                this.newQuotationRequest();
                break;
            } // 1
            case 2: {
                this.newPreliminaryCustomerOrder();
                break;
            } // 2
        } // switch
        this.popoverCtrl.dismiss();
    } // onPopoverItemClick
} // PopoverComponent
PopoverComponent.ɵfac = function PopoverComponent_Factory(t) { return new (t || PopoverComponent)(_angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_ionic_angular__WEBPACK_IMPORTED_MODULE_2__["PopoverController"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_ionic_angular__WEBPACK_IMPORTED_MODULE_2__["ModalController"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_angular_router__WEBPACK_IMPORTED_MODULE_1__["Router"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_auth_auth_service__WEBPACK_IMPORTED_MODULE_5__["AuthService"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_notes_note_detail_note_detail_service__WEBPACK_IMPORTED_MODULE_6__["NoteDetailService"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_quotation_requests_quotation_request_detail_quotation_request_detail_service__WEBPACK_IMPORTED_MODULE_8__["QuotationRequestDetailService"]), _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdirectiveInject"](_preliminary_customer_orders_preliminary_customer_order_detail_preliminary_customer_order_detail_service__WEBPACK_IMPORTED_MODULE_10__["PreliminaryCustomerOrderDetailService"])); };
PopoverComponent.ɵcmp = _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵdefineComponent"]({ type: PopoverComponent, selectors: [["app-popover"]], inputs: { popoverItems: "popoverItems" }, decls: 2, vars: 1, consts: [[4, "ngFor", "ngForOf"], ["lines", "none", 3, "click"]], template: function PopoverComponent_Template(rf, ctx) { if (rf & 1) {
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementStart"](0, "ion-list");
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵtemplate"](1, PopoverComponent_div_1_Template, 4, 1, "div", 0);
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵelementEnd"]();
    } if (rf & 2) {
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵadvance"](1);
        _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵɵproperty"]("ngForOf", ctx.popoverItems);
    } }, directives: [_ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonList"], _angular_common__WEBPACK_IMPORTED_MODULE_12__["NgForOf"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonItem"], _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["IonLabel"]], styles: ["\n/*# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IiIsImZpbGUiOiJzcmMvYXBwL3BvcG92ZXIvcG9wb3Zlci5jb21wb25lbnQuc2NzcyJ9 */"] });
/*@__PURE__*/ (function () { _angular_core__WEBPACK_IMPORTED_MODULE_0__["ɵsetClassMetadata"](PopoverComponent, [{
        type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["Component"],
        args: [{
                selector: 'app-popover',
                templateUrl: './popover.component.html',
                styleUrls: ['./popover.component.scss'],
            }]
    }], function () { return [{ type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["PopoverController"] }, { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["ModalController"] }, { type: _angular_router__WEBPACK_IMPORTED_MODULE_1__["Router"] }, { type: _auth_auth_service__WEBPACK_IMPORTED_MODULE_5__["AuthService"] }, { type: _notes_note_detail_note_detail_service__WEBPACK_IMPORTED_MODULE_6__["NoteDetailService"] }, { type: _quotation_requests_quotation_request_detail_quotation_request_detail_service__WEBPACK_IMPORTED_MODULE_8__["QuotationRequestDetailService"] }, { type: _preliminary_customer_orders_preliminary_customer_order_detail_preliminary_customer_order_detail_service__WEBPACK_IMPORTED_MODULE_10__["PreliminaryCustomerOrderDetailService"] }]; }, { popoverItems: [{
            type: _angular_core__WEBPACK_IMPORTED_MODULE_0__["Input"]
        }] }); })();


/***/ })

}]);
//# sourceMappingURL=default~account-account-module~history-history-module~outstanding-outstanding-module~preliminary-cus~8f555615-es2015.js.map